<template>
    <base-layout>
      <h1 class="mt-4">Agenda overview</h1>
      <ol class="breadcrumb mb-4">
        
    </ol>
    <hr>
    <ol class="breadcrumb mb-4">
        
    </ol>
    <div class="row">
      <div class="col-xl-3 col-md-6">
          <div class="card bg-primary text-white mb-4">
              <div class="card-body">10 Events</div>
              <div class="card-footer d-flex align-items-center justify-content-between">
                  <router-link class="small text-white stretched-link" to="/event"> 
                    View Details
                  </router-link>
                  <div class="small text-white"><i class="fas fa-angle-right"></i></div>
              </div>
          </div>
      </div>
      <div class="col-xl-3 col-md-6">
          <div class="card bg-warning text-white mb-4">
              <div class="card-body">6 Contacts</div>
              <div class="card-footer d-flex align-items-center justify-content-between">
                <router-link class="small text-white stretched-link" to="/contact"> 
                  View Details
                </router-link>
                  <div class="small text-white"><i class="fas fa-angle-right"></i></div>
              </div>
          </div>
      </div>
      <div class="col-xl-3 col-md-6">
          <div class="card bg-success text-white mb-4">
              <div class="card-body">2 Meetings</div>
              <div class="card-footer d-flex align-items-center justify-content-between">
                  <a class="small text-white stretched-link" href="#">View Details</a>
                  <div class="small text-white"><i class="fas fa-angle-right"></i></div>
              </div>
          </div>
      </div>
      <div class="col-xl-3 col-md-6">
          <div class="card bg-danger text-white mb-4">
              <div class="card-body">Demands</div>
              <div class="card-footer d-flex align-items-center justify-content-between">
                  <a class="small text-white stretched-link" href="#">View Details</a>
                  <div class="small text-white"><i class="fas fa-angle-right"></i></div>
              </div>
          </div>
      </div>
  </div>
  <div class="card mb-4">
    <div class="card-header">
      <i class="fas fa-table me-1"></i>
        Agenda
  </div>
  <div class="card-body">
    <div class="container">
      <div class="row">
        <div class="col-md-offset-1 col-md-20">
          <div class="panel">
            <div class="panel-heading">
              <div class="row">
                

              </div>
            </div>
            <div class="panel-body table-responsive">
              <table class="table">
                <thead>
                  <tr>
                      <th>Owner</th>
                      <th>Name</th>
                      <th>Location</th>
                      <th>Start Date</th>
                      <th>End Date</th>
                      <th>Start Time</th>
                      <th>End Time</th>
                      <th>status</th>
                      
                  </tr>
              </thead>
              <tbody  v-if="events.length > 0">
                <tr v-for="event in events" :key="event.id">
                    <td>{{ event.author }}</td>
                    <td>{{ event.name }}</td>
                    <td>{{ event.location }}</td>
                    <td>{{ event.start_date }}</td>
                    <td>{{ event.end_date }}</td>
                    <td>{{ event.start_time }}</td>
                    <td>{{ event.end_time }}</td>
                    <td ><div v-if=" event.author == verify()" class="btn btn-success">accepted</div> 
                      <div v-else class="btn btn-warning">pending</div>
                    </td>
                    
                </tr>  
            </tbody>
            <tbody v-else>
              <tr>
                  <td colspan="4" align="center">No Events Found.</td>
              </tr>
          </tbody>
              </table>

            

            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  </div>
    </base-layout>
    
    
</template>

<script>
import { HTTP } from '../api/api.js';
import util from '../api/util.js';
export default{
    data(){
      return{
        events:[],
        label:""
      }
    },
    methods:{
      getEvents: async function() {
      await HTTP.get(`events/all`, util.getToken())
        .then(res => {
          this.events = res.data;
          console.log(events);
        })
        .catch(e => {
          console.log(e);
          
        });
    },
    verify: function(){
      let mail;
      mail = JSON.parse(sessionStorage.getItem('token')).user.name;
     return mail;
      
    },
  
    },
    mounted(){
      this.getEvents(),
      this.verify()
      
    }
}
</script>


